Loading...
Searching...
No Matches
Gfx::TextureStageParams Struct Reference

Parameters for a texture unit. More...

`#include <src/graphics/core/texture.h>`

## Public Member Functions

void | LoadDefault ()
| Loads the default values.

## Public Attributes

TexMixOperation | colorOperation = TEX_MIX_OPER_DEFAULT
| Mixing operation done on color values.
TexMixArgument | colorArg1 = TEX_MIX_ARG_COMPUTED_COLOR
| 1st argument of color operations
TexMixArgument | colorArg2 = TEX_MIX_ARG_TEXTURE
| 2nd argument of color operations
TexMixOperation | alphaOperation = TEX_MIX_OPER_DEFAULT
| Mixing operation done on alpha values.
TexMixArgument | alphaArg1 = TEX_MIX_ARG_COMPUTED_COLOR
| 1st argument of alpha operations
TexMixArgument | alphaArg2 = TEX_MIX_ARG_TEXTURE
| 2nd argument of alpha operations
TexWrapMode | wrapS = TEX_WRAP_REPEAT
| Wrap mode for 1st tex coord.
TexWrapMode | wrapT = TEX_WRAP_REPEAT
| Wrap mode for 2nd tex coord.
Color | factor
| Constant color factor (for TEX_MIX_ARG_FACTOR).

## Detailed Description

Parameters for a texture unit.

These params define the behavior of texturing units (stages). They can be changed freely and are features of graphics engine, not any particular texture.

## Member Function Documentation

## LoadDefault()

void Gfx::TextureStageParams::LoadDefault | ( |  | ) |

inline

Loads the default values.

## Member Data Documentation

## colorOperation

TexMixOperation Gfx::TextureStageParams::colorOperation = TEX_MIX_OPER_DEFAULT

Mixing operation done on color values.

## colorArg1

TexMixArgument Gfx::TextureStageParams::colorArg1 = TEX_MIX_ARG_COMPUTED_COLOR

1st argument of color operations

## colorArg2

TexMixArgument Gfx::TextureStageParams::colorArg2 = TEX_MIX_ARG_TEXTURE

2nd argument of color operations

## alphaOperation

TexMixOperation Gfx::TextureStageParams::alphaOperation = TEX_MIX_OPER_DEFAULT

Mixing operation done on alpha values.

## alphaArg1

TexMixArgument Gfx::TextureStageParams::alphaArg1 = TEX_MIX_ARG_COMPUTED_COLOR

1st argument of alpha operations

## alphaArg2

TexMixArgument Gfx::TextureStageParams::alphaArg2 = TEX_MIX_ARG_TEXTURE

2nd argument of alpha operations

## wrapS

TexWrapMode Gfx::TextureStageParams::wrapS = TEX_WRAP_REPEAT

Wrap mode for 1st tex coord.

## wrapT

TexWrapMode Gfx::TextureStageParams::wrapT = TEX_WRAP_REPEAT

Wrap mode for 2nd tex coord.

## factor

Color Gfx::TextureStageParams::factor

Constant color factor (for TEX_MIX_ARG_FACTOR).

The documentation for this struct was generated from the following file:

- src/graphics/core/texture.h